package com.docus.server.archivefile.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.auth.TaskConfigTest;

import java.util.List;

/**
 * <p>
 * 主动任务测试对象 ITaskConfigTestDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-05
 */
public interface ITaskConfigTestDao extends IBaseDao<TaskConfigTest> {

    TaskConfigTest findById(String id);

    boolean add(TaskConfigTest taskConfigTest);

    boolean edit(TaskConfigTest taskConfigTest);

    int delete(List<String> ids);

    PageResult<TaskConfigTest> search(SearchRequest searchRequest);

}
